#ifndef CONTACTS_H
#define CONTACTS_H

#include <QWidget>
#include <QtContacts/QContact>
#include <QtMessaging/QMessageService>
#include <QListView>
#include <QTableView>
#include <QTableWidgetItem>
#include "message.h"
#include <QListWidgetItem>

QTM_USE_NAMESPACE

namespace Ui {
    class Contacts;
}
class Contacts : public QWidget
{
    Q_OBJECT

private slots:
    void translateExistingMessage(QListWidgetItem *);

public:
    explicit Contacts(QWidget *parent, Message *mw);
       ~Contacts();
    void listContacts();

private:
    Ui::Contacts *ui;
    QMessageManager *m_manager;
    QListView *listview;
    QTableView *tv;
    Message *mw;
};

#endif // CONTACTS_H
