#ifndef REPLY_MESSAGE_H
#define REPLY_MESSAGE_H

#include <QWidget>
#include <QtContacts/QContact>
#include <QtNetwork/QNetworkAccessManager>
#include <QtNetwork/QNetworkReply>
#include <QMessage>
#include <QtMessaging/QMessageManager>
#include <QtMessaging/QMessageFilter>
#include <QtMessaging/QMessageService>

QTM_USE_NAMESPACE

namespace Ui {
    class Reply_Message;
}
class Reply_Message : public QWidget
{
    Q_OBJECT


public:
    explicit Reply_Message(QWidget *parent);
       ~Reply_Message();

       QString lang_from;
       QString lang_to;
       QString number;
       QString message;


       void reload_gui();
signals:
       void message_sent();

private slots:
       void on_Field_Message_textChanged();

       void send_message();
       void translate_message(QNetworkReply*);
       void send_request();

private:

       QNetworkAccessManager *manager;


       //void get_data_for_message(QString, QString, QString);


       Ui::Reply_Message *ui;
};

#endif // REPLY_MESSAGE_H
