#ifndef WIDGET_H
#define WIDGET_H

#include <QWidget>
#include "contacts.h"
#include "message.h"
#include "reply_message.h"


namespace Ui {
    class Widget;
}

class Widget : public QWidget
{
    Q_OBJECT

public slots:
    void HideApplication();
    void changeViewToContacts();
    void changeViewToMessage();
    void changeViewToSendMessage();
    void load_new_sms(QString, QString, QString);


public:

    //sender number, llang_to



    explicit Widget(QWidget *parent = 0);
    ~Widget();

private:
    Ui::Widget *ui;
    Contacts *cw;
    Message *mw;
    Reply_Message *rm;
};

#endif // WIDGET_H
